/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React from 'react';
import Grid from '@material-ui/core/Grid';
import styled from 'styled-components';
import Modal from '../Components/ModalAbout';
import AboutCarousel from "../Components/AboutCarousel";
import AboutCarouselPartner from '../Components/AboutCarouselPartner';


/*Importação de imagens para o componente*/
import Agpl from "../img/sobre/agpl.svg";
import Banner from "../img/sobre/banner-sobre-2.jpg";
import Notebook from "../img/sobre/Imagem_Notebook.png";
import Professores from "../img/sobre/professores.jpg";
import Alunos from "../img/sobre/Alunos.png";
import Gestores from "../img/sobre/Gestores.png";
import Comunidade from "../img/sobre/comunidade.png";


const Secao1 = styled.div`
  height: 600px;
  background-color: #333;
`


const Secao2 = styled.div`
  height: 600px;
  color: #666;
  text-align: center;
  font-size: 14px;
  line-height: 1.42857143;

  .container {

    height: 100%;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;

    .container-secao {
      height: 100%;
      display: flex;
      flex-direction: column;
      justify-content: center;


      .conteudo-secao {

        h2 {
          text-align: center;
          font-family: Roboto, sans-serif;
          font-size: 30px;
          font-weight: 300;
          margin: 0;
          line-height: 1.1;
        }

        img {
          max-width: 250px;
        }

        p {
          margin: 0 0 10px;
        }

        a {

          color: initial;
          text-decoration:none;
        }

      }
    }
  }

`

const Secao3 = styled.div`
  height: auto;
  padding: 30px 0;
  background-color: #1ab9de;
  color: #fff;

  .container {

    height: 100%;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;

    .container-secao {
      height: 100%;
      width: 1110px;
      padding-right: 15px;
      padding-left: 15px;
      display: flex;
      flex-direction: column;
      justify-content: center;


      .conteudo-secao {
        padding-right: 15px;
        padding-left: 15px;
        width: 100%;

        h2 {
          font-family: Pompiere, cursive;
          font-size: 46px;
          font-weight: 500;
          margin: 0;
          line-height: 1.1;
        }

        h3 {
          font-family: Roboto, sans-serif;
          font-size: 26px;
          margin-top: 20px;
          margin-bottom: 10px;
          font-weight: 500;
          line-height: 1.1;


        }

        p {
          font-size: 15px;
          fornt-weight: 400;
          margin: 0 0 10px;
          ine-height: 1.42857143;
          justify: left;
        }

        img {
          max-height: 400px;
        }


      }
    }
  }


`

const Secao4 = styled.div`
  height: 720px;
  text-align: center;
  color: #666;

  .container {

    height: 100%;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;

    .container-secao {
      height: 100%;
      display: flex;
      flex-direction: column;
      justify-content: center;


      .conteudo-secao {


        h2 {
          text-align: center;
          font-family: Roboto, sans-serif;
          font-size: 30px;
          font-weight: 300;
          margin: 0;
          margin-bottom: 30px;
          line-height: 1.1;
        }
        h3 {
          font-size: 26px;
          font-weight: 400;
          padding-right: 0;
          padding-left: 0;
          margin: 0;
        }

        button {
          background-color: #00bcd4;
          color: #fff;
          font-family: Roboto,sans-serif;
          font-size: 14px;
          font-weight: 500;
          height: 36px;
          border-radius: 3px;
          padding-left: 16px;
          padding-right: 16px;
          box-shadow: 0 2px 5px 0 rgba(0,0,0,.26);
          display: inline-block;
          position: relative;
          cursor: pointer;
          min-height: 36px;
          min-width: 88px;
          line-height: 36px;
          vertical-align: middle;
          -webkit-box-align: center;
          outline: none;
          text-align: center;
          border: 0;
          padding: 0 6px;
          hite-space: nowrap;
          text-decoration: none;


        }

        p {
          text-align: center;
          margin: 0 0 10px;
          font-size: 15px;
        }

        .portais {
          margin: 30px 0;
          display: inline-block;
          .itens {


            display: table;
            height: 120px;
            list-style: none;
            margin: 0 auto;
            padding-left: 0;
            padding-right: 0;

            li {
              display: table-cell;
              vertical-align: middle;
              padding: 0 15px;
              border-right: 1px solid #efefef;
            }

            li:last-child {
              border-right: none;
            }

          }

        }

      }
    }
  }



`

const Secao5 = styled.div`
  height: 370px;
  background-image: url(${Banner});
  background-position: top center;
  background-size: cover;
  text-align: center;

  .container {

    height: 100%;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;

    .container-secao {
      height: 100%;
      display: flex;
      flex-direction: column;
      justify-content: center;


      .conteudo-secao {

        h2 {
          text-align: center;
          font-family: Pompiere,cursive;
          font-size: 52px;
          color:#fff;
          font-weight: 500;
          margin: 0;
          line-height: 1.1;
        }

        p {
          color:#fff;
          font-size: 15px;
          margin: 0 0 10px;
        }
      }
    }
  }


`

const Secao6 = styled.div`
  height: 500px;


  .container {

    height: 100%;
    padding-top:50px
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;

    .container-secao {
      height: 100%;
      display: flex;

      justify-content: center;


      .conteudo-secao {

        height: 100%;
        width: 100%;

        h2 {
          text-align: center;
          font-family: Roboto, sans-serif;
          font-size: 30px;
          font-weight: 300;
          margin-bottom:30px;
          line-height: 1.1;
        }

        img {
          max-width: 250px;
        }

        p {
          margin: 0 0 10px;
        }

        a {

          color: initial;
          text-decoration:none;
        }

      }
    }
  }


`

const Secao7 = styled.div`
  height: 100%;
  background-color: #f4f4f4;

  .container {

    height: 100%;
    margin-right: auto;
    margin-left: auto;

    .container-secao {
      height: 100%;
      display: flex;
      flex-direction: column;
      justify-content: center;
      color: #666;
      padding: 50px


      .conteudo-secao {

        h2 {
          text-align: center;
          font-family: Roboto, sans-serif;
          font-size: 30px;
          font-weight: 300;
          margin: 0;
          margin-bottom: 10px;
          line-height: 1.1;
        }


        p {
          text-align: center;
          margin: 0 0 10px;
          font-size: 15px;
          line-height: 1.42857143;
        }

        .cabecalho {
            margin-bottom: 30px;
        }

        .card {

          height: 80%;

          background-color: #fff;
          box-shadow: 0 1px 3px rgba(0,0,0,.12),0 1px 2px rgba(0,0,0,.24);
          padding: 40px 20px;
          text-align: center;

          h3 {
            font-weight: 400;
            font-size: 24px;
            margin-top: 20px;
            margin-bottom: 10px;
            line-height: 1.1;
          }

          p {
            line-height: 1.42857143;
            text-align: center
            font-size: 15px;
            margin: 0 0 10px;
          }

          img {
            width: 114px;
          }

        }



      }
    }
  }

`

const Secao8 = styled.div`
  height: 230px;

  .container {

    height: 100%;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;

    .container-secao {
      height: 100%;
      display: flex;
      flex-direction: column;
      justify-content: center;


      .conteudo-secao {
        align-itens: center;



        h2 {
          text-align: center;
          font-family: Roboto,sans-serif;
          font-size: 26px;
          color:#666;
          font-weight: 300;
          margin: 0;
          line-height: 1.1;
        }

        p {
          color:#fff;
          font-size: 15px;
          margin: 0 0 10px;
        }

        div {
          display: flex;
          justify-content: center;
          margin-top: 30px
        }

        button {

          background-color: #ed6f00;
          font-family: Roboto,sans-serif;
          font-size: 14px;
          font-weight: 500;
          height: 36px;
          border-radius: 3px;
          padding-left: 16px;
          padding-right: 16px;
          box-shadow: 0 2px 5px 0 rgba(0,0,0,.26);
          cursor: pointer;
          min-height: 36px;
          min-width: 88px;
          line-height: 36px;
          vertical-align: middle;
          align-items: center;
          text-align: center;
          border-radius: 3px;
          user-select: none;
          border: 0;
          padding: 0 6px;
          padding-right: 6px;
          padding-left: 6px;
          margin: 6px 8px;
          font-weight: 500;
          font-size: 14px;
          overflow: hidden;



          a {
            color: #fff;
            text-decoration: none;
          }

        }

      }
    }
  }



`








export default function AboutPage(props) {

  return (
    <>

    <link href="https://fonts.googleapis.com/css?family=Pompiere|Roboto:300,400&display=swap" rel="stylesheet"/>

      <Secao1>
        <iframe title="Vídeo página sobre" src="https://player.vimeo.com/video/231609051" width="100%" height="100%" frameBorder="0" allow="autoplay; fullscreen" allowFullScreen></iframe>

      </Secao1>

      <Secao2>
        <div className="container">
          <div className="container-secao">
            <div className="conteudo-secao">
              <h2>Um Pouco da História</h2>
              <br/>
              <br/>
              <p>
                A partir de uma iniciativa do Ministério da Educação, surge
                em outubro de 2015 a proposta de reunir e disponibilizar, em um
                único lugar, os Recursos Educacionais Digitais dos principais
                portais do Brasil. Com o objetivo de melhorar a experiência de
                busca desses Recursos, a Plataforma foi desenvolvida numa
                parceria coletiva entre: Universidade Federal do Paraná (UFPR), Universidade Federal de Santa Catarina (UFSC) e professoras(es)
                da Educação Básica de todo o Brasil. Assim, a Plataforma MEC
                pretende se tornar uma referência em Recursos Educacionais
                Digitais, como um ambiente de busca, interação e colaboração
                entre professoras(es)!<br/><br/>Faça parte deste espaço de
                colaborativo você também!
              </p>
              <br/>
              <br/>
              <br/>
              <img src={Agpl} alt="agpl" />
              <p>
                Este programa é software livre, sob os termos da
                <a href="https://www.gnu.org/licenses/agpl-3.0.en.html" rel="noreferrer" target="_blank"> licença GNU/AGPL</a><br/>
                Seu código fonte está disponível no <a href="https://gitlab.c3sl.ufpr.br/portalmec/portalmec" rel="noreferrer" target="_blank">GitLab</a>
              </p>


            </div>
          </div>
        </div>
      </Secao2>

      <Secao3>
        <div className="container">
          <div className="container-secao">
            <div className="conteudo-secao">
              <Grid container spacing={0}>
                <Grid item xs={6}>
                  <h2>O que nos faz diferentes?</h2>
                  <h3>Espaço construído por e para professores</h3>
                  <p>
                    Procuramos constantemente compreender a sua realidade dentro e
                    fora da sala de aula, no intuito de adequar a qualidade da
                    plataforma às suas necessidades de busca por Recursos Educacionais Digitais.
                  </p>
                  <h3>Ambiente de colaboração</h3>
                  <p>
                    A Plataforma é um espaço onde você pode colaborar ao publicar
                    seus recursos e compartilhar os de outros autores. Além disso,
                    pode contribuir relatando suas experiências de uso com os
                    Recursos disponíveis. Participe desta rede colaborativa!
                  </p>
                  <h3>Todos os recursos em um só lugar</h3>
                  <p>
                  Aqui você consegue otimizar o seu tempo! A plataforma integra
                  os Recursos Educacionais Digitais dos principais portais abertos.
                  </p>
                </Grid>
                <Grid item xs={6}>
                  <img src={Notebook} alt="Imagem Notebook"/>
                </Grid>

              </Grid>

            </div>
          </div>
        </div>
      </Secao3>

      
      
      <Secao4>
        <div   className="container">
          <div className="container-secao" id="portaisparceiros">
            <div className="conteudo-secao" >
              <div>
                <h2>Portais Parceiros</h2>
                <p>Aqui na Plataforma você encontra os Recursos Digitais dos principais portais do MEC e de vários outros parceiros.</p>
              </div>

              <AboutCarouselPartner/>           
              
              <div>
                <h3>Você busca Recursos Educacionais Digitais em outros sites?</h3>
                <p>
                Você gostaria que a plataforma tivesse os recursos do site que
                você acessa?<br/>Deixe a sua sugestão pra que juntos possamos
                avançar na integração dos mais variados recursos.
                </p>
              </div>
              <div style={{marginTop:"30px"}}>
                <Modal/>
              </div>

            </div>
          </div>
        </div>
      </Secao4>

      <Secao5>
        <div className="container">
          <div className="container-secao">
            <div className="conteudo-secao">
              <h2>AQUI VOCÊ É PROTAGONISTA</h2>
              <br/>
              <p>
                Construa conosco a plataforma e amplie sua rede de conhecimento
                interagindo com pessoas envolvidas com experiências que ocorrem em todo o Brasil!
              </p>
            </div>
          </div>
        </div>
      </Secao5>

      <Secao6>
      <div className="container">
        <div className="container-secao">
          <div className="conteudo-secao">
            <div>
              <h2>Aqui você pode:</h2>

            </div>
            <div>
              <AboutCarousel/>
            </div>

          </div>
        </div>
      </div>
      </Secao6>

      <Secao7>
        <div className="container">
          <div className="container-secao">
            <div className="conteudo-secao">
              <div className="cabecalho">
                <h2>A quem se destina?</h2>
                <p>A plataforma é aberta e destina-se a todos e todas que se
                interessam<br/>pela relação entre a escola e a Cultura Digital:</p>
              </div>
              <div>
                <Grid container spacing={3}>
                  <Grid item xs>
                    <div className="card">
                      <img src={Professores} alt="" />
                      <h3>Professores</h3>
                      <p>
                        Encontre recursos digitais que se encaixem aos objetivos
                        das suas aulas! Aproveite para seguir outros professores,
                        coleções e conhecer experiências de uso!
                      </p>
                    </div>
                  </Grid>
                  <Grid item xs>
                    <div className="card">
                      <img src={Alunos} alt="" />
                      <h3>Alunos</h3>
                      <p>
                        Você pode complementar os seus estudos com recursos
                        digitais que lhe interessem. Gostou de algum recurso?
                        Recomende ao seu professor ou professora.
                      </p>
                    </div>
                  </Grid>
                  <Grid item xs>
                    <div className="card">
                      <img src={Gestores} alt="" />
                      <h3>Gestores</h3>
                      <p>
                        Desenvolva junto com o coletivo da escola ações e projetos
                        pedagógicos com recursos digitais importantes para o seu contexto.
                      </p>
                    </div>
                  </Grid>
                  <Grid item xs>
                    <div className="card">
                      <img src={Comunidade} alt="" />
                      <h3>Comunidade Escolar</h3>
                      <p>
                        Encontre recursos digitais e materiais de formação que
                        contribuam para a aprendizagem e práticas educativas na
                        sua comunidade escolar.
                      </p>
                    </div>
                  </Grid>
                </Grid>

              </div>
            </div>
          </div>
        </div>
      </Secao7>

      <Secao8>
      <div className="container">
        <div className="container-secao">
          <div className="conteudo-secao">

            <h2>Ficou alguma dúvida? Gostaria de fazer alguma sugestão ou crítica? Construa conosco.</h2>
            <div>
              <button><a href="contato">ENTRAR EM CONTATO</a></button>
            </div>

          </div>
        </div>
      </div>
      </Secao8>
    </>
  );

}
